Create or update an item

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
PUT /eTech/rest/ws/businessOrganization/v1/items/code:{itemCode}

Creates a new item if the itemCode provided does not exist, else updates the existing item.

Rate limit range : Standard

Path parameters

  • itemCode string Required

    Requested item code, case insensitive.

application/json

Body Required

  • name string Required

    Item name.

    Minimum length is 1, maximum length is 256.

  • reference string | null

    Item internal reference code (for catalog search purpose).

    Maximum length is 256.

  • itemCategoryCode string Required

    Item's category code. Case insensitive.

    Minimum length is 1, maximum length is 256.

  • description string | null

    Item detailed description.

    Maximum length is 10000.

  • barCode string | null

    Item barcode value associated with the item (for catalog search purpose).

    Maximum length is 100.

  • manufacturer string | null

    Item's manufacturer.

    Maximum length is 100.

  • dimensions integer Required

    Indicates how many dimensions the item has (length x width x height).

    Values are 1, 2, or 3.

  • attributes object Required
    Hide attributes attributes Show attributes attributes object
    • isGeneric boolean Required

      Indicates if the item is a generic type.

    • isParentItem boolean Required

      Indicates if the item is a parent item.

    • hasFixedQuantity boolean Required

      Indicates that the item is actually a prestation with a negociated price (quantity fixed to 1).

    • availableOnMobile boolean Required

      Indicates if the item is available on the mobile app.

  • tracking object

    Details about how the item is tracked.

    Hide tracking attributes Show tracking attributes object
    • trackedInStock boolean

      Indicates that item availability is tracked in field resource's stock. Only available if stock management is activated.

    • serialNumberFormat string | null

      Regular expression that defines the structure of the item's tracking number. If absent, then items are not tracked by serial number.

      Maximum length is 100.

  • billingParameters object Required

    Pricing information and invoicing details.

    Hide billingParameters attributes Show billingParameters attributes object
    • priceDetails object
      Hide priceDetails attributes Show priceDetails attributes object
      • unitPrice number | null

        Item price. If 0 or null, vatRates, displayPriceOnMobile and displayPriceOnWeb must be null.

        Minimum value is 0.

      • vatRates array[number] | null

        Tax rates applicable to the item. Must be null when unitPrice is 0 or null.

        Minimum value of each is 0, maximum value of each is 0.99999.

      • displayPriceOnMobile boolean | null

        Specifies whether the price should be displayed on mobile devices. Must be null when unitPrice is 0 or null.

      • displayPriceOnWeb string | null

        Whether the price is displayed for web users. Must be null when unitPrice is 0 or null.

        Values are ALWAYS, BY_PROFILE, or null.

    • invoiceMode string Required

      The type of invoicing (if the item belong to your company or not).

      Values are INTERNAL or EXTERNAL.

  • customFields object

    Map of custom fields of an item.

Responses

  • 201 application/json

    Item created.

  • 204 application/json

    Item updated.

  • 400 application/json

    Bad Request - validation errors

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

PUT /eTech/rest/ws/businessOrganization/v1/items/code:{itemCode}
curl \
 --request PUT 'https://ws-eu1.praxedo.com/eTech/rest/ws/businessOrganization/v1/items/code:item-123456' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "Wireless mouse",
  "reference": "REF-WMOUSE-324",
  "itemCategoryCode": "IT_ACCESSORIES",
  "description": "Ergonomic wireless mouse with USB receiver.",
  "barCode": "3614271234567",
  "manufacturer": "Logitech",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": false,
    "availableOnMobile": true
  },
  "tracking": {
    "trackedInStock": true,
    "serialNumberFormat": "^SN[0-9]{8}$"
  },
  "billingParameters": {
    "invoiceMode": "INTERNAL",
    "priceDetails": {
      "unitPrice": 29.99,
      "vatRates": [
        0.2
      ],
      "displayPriceOnMobile": true,
      "displayPriceOnWeb": "ALWAYS"
    }
  },
  "customFields": {
    "WARRANTY": {
      "textValue": "24 months"
    },
    "REFURBISHED": {
      "booleanValue": false
    },
    "SUPPLIER_LINK": {
      "urlValue": "https://www.logitech.com"
    }
  }
}'
Request examples
{
  "name": "Wireless mouse",
  "reference": "REF-WMOUSE-324",
  "itemCategoryCode": "IT_ACCESSORIES",
  "description": "Ergonomic wireless mouse with USB receiver.",
  "barCode": "3614271234567",
  "manufacturer": "Logitech",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": false,
    "availableOnMobile": true
  },
  "tracking": {
    "trackedInStock": true,
    "serialNumberFormat": "^SN[0-9]{8}$"
  },
  "billingParameters": {
    "invoiceMode": "INTERNAL",
    "priceDetails": {
      "unitPrice": 29.99,
      "vatRates": [
        0.2
      ],
      "displayPriceOnMobile": true,
      "displayPriceOnWeb": "ALWAYS"
    }
  },
  "customFields": {
    "WARRANTY": {
      "textValue": "24 months"
    },
    "REFURBISHED": {
      "booleanValue": false
    },
    "SUPPLIER_LINK": {
      "urlValue": "https://www.logitech.com"
    }
  }
}
{
  "name": "Ethernet cable",
  "itemCategoryCode": "CABLES",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": false,
    "availableOnMobile": false
  },
  "tracking": {
    "trackedInStock": false
  },
  "billingParameters": {
    "invoiceMode": "EXTERNAL"
  }
}
{
  "name": "Wireless mouse v2",
  "reference": "REF-WMOUSE-324-V2",
  "itemCategoryCode": "IT_ACCESSORIES",
  "description": "Updated ergonomic wireless mouse with USB-C receiver.",
  "barCode": "3614271234568",
  "manufacturer": "Logitech",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": false,
    "availableOnMobile": true
  },
  "tracking": {
    "trackedInStock": true,
    "serialNumberFormat": "^SN[0-9]{8}$"
  },
  "billingParameters": {
    "invoiceMode": "INTERNAL",
    "priceDetails": {
      "unitPrice": 34.99,
      "vatRates": [
        0.2
      ],
      "displayPriceOnMobile": true,
      "displayPriceOnWeb": "BY_PROFILE"
    }
  },
  "customFields": {
    "WARRANTY": {
      "textValue": "36 months"
    },
    "REFURBISHED": {
      "booleanValue": true
    },
    "SUPPLIER_LINK": {
      "urlValue": "https://www.logitech.com/v2"
    }
  }
}
{
  "name": "Ethernet cable Cat6",
  "itemCategoryCode": "CABLES",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": false,
    "availableOnMobile": false
  },
  "tracking": {
    "trackedInStock": false
  },
  "billingParameters": {
    "invoiceMode": "EXTERNAL"
  }
}
{
  "name": "Complimentary item",
  "itemCategoryCode": "MISC",
  "dimensions": 1,
  "attributes": {
    "isGeneric": false,
    "isParentItem": false,
    "hasFixedQuantity": true,
    "availableOnMobile": false
  },
  "tracking": {
    "trackedInStock": false
  },
  "billingParameters": {
    "invoiceMode": "INTERNAL",
    "priceDetails": {
      "unitPrice": null,
      "vatRates": null,
      "displayPriceOnMobile": null,
      "displayPriceOnWeb": null
    }
  }
}
Response examples (201)
Response examples (204)
Response examples (400)
{
  "errors": [
    {
      "code": "businessOrganization.item.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "669b11d0ae8145aa9b106b049091b371"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.name.mandatory",
      "message": "Property name is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.itemcategorycode.mandatory",
      "message": "Property itemCategoryCode is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.dimensions.mandatory",
      "message": "Property dimensions is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.attributes.mandatory",
      "message": "Property attributes is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.isgeneric.mandatory",
      "message": "Property attributes.isGeneric is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.isparentitem.mandatory",
      "message": "Property attributes.isParentItem is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.hasfixedquantity.mandatory",
      "message": "Property attributes.hasFixedQuantity is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.availableonmobile.mandatory",
      "message": "Property attributes.availableOnMobile is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.billingparameters.mandatory",
      "message": "Property billingParameters is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.invoicemode.mandatory",
      "message": "Property invoiceMode is required."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.name.length",
      "message": "The name length must not exceed 256 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.reference.length",
      "message": "The reference length must not exceed 256 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.description.length",
      "message": "The description length must not exceed 10000 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.barcode.length",
      "message": "The barCode length must not exceed 100 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.manufacturer.length",
      "message": "The manufacturer length must not exceed 100 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.serialnumberformat.length",
      "message": "The serialNumberFormat length must not exceed 100 characters."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.isgeneric.invalid",
      "message": "Invalid value for attributes.isGeneric. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.isparentitem.invalid",
      "message": "Invalid value for attributes.isParentItem. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.hasfixedquantity.invalid",
      "message": "Invalid value for attributes.hasFixedQuantity. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.availableonmobile.invalid",
      "message": "Invalid value for attributes.availableOnMobile. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.trackedinstock.invalid",
      "message": "Invalid value for tracking.trackedInStock. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonmobile.invalid",
      "message": "Invalid value for displayPriceOnMobile. Allowed values are: true, false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.dimensions.invalid",
      "message": "Invalid value for dimensions. Allowed values are: 1, 2, 3."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.invoicemode.invalid",
      "message": "Invalid value for invoiceMode. Allowed values are: INTERNAL, EXTERNAL."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonweb.invalid",
      "message": "Invalid value for displayPriceOnWeb. Allowed values are: ALWAYS, BY_PROFILE."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.vatrates.invalid",
      "message": "Invalid value for vatRates. Each rate must be between 0 and 0.99999."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.itemcategory.unknown",
      "message": "The item category 'DUMMY' is unknown."
    }
  ],
  "errorReference": "669b11d0ae8145aa9b106b049091b371"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.vatrates.forbidden",
      "message": "When unitPrice is 0 or null, vatRates must be null."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonmobile.forbidden",
      "message": "When unitPrice is 0 or null, displayPriceOnMobile must be null."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonweb.forbidden",
      "message": "When unitPrice is 0 or null, displayPriceOnWeb must be null."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonmobile.mandatory",
      "message": "Property displayPriceOnMobile is required when unitPrice is greater than 0."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonmobile.conflict",
      "message": "Property displayPriceOnMobile cannot be true when availableOnMobile is false."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.displaypriceonweb.mandatory",
      "message": "Property displayPriceOnWeb is required when unitPrice is greater than 0."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.invalid.json",
      "message": "Invalid Json format."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.invalid.json",
      "message": "Duplicate field 'name'."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
{
  "errors": [
    {
      "code": "businessOrganization.item.field.unknown",
      "message": "The field 'foo_bar' is unknown. Please correct your JSON request."
    }
  ],
  "errorReference": "d3c79ddca4f9413cad99dc934cc7d0aa"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}